package com.prolog.cs.biz.inbound.dto.rcv;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 任务完成返回结果
 * 
 * @author Xiong
 *
 */
@ApiModel
public class CallbackInstockTaskDTO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2767412557978770466L;
	/**
	 * 任务id
	 */
	@ApiModelProperty(value = "任务id")
	private String taskId;
	/**
	 * 上架完成标识
	 */
	@ApiModelProperty(value = "上架完成标识")
	private boolean completeFlag;
	/**
	 * 信息(错误)
	 */
	@ApiModelProperty(value = "上架完成标识")
	private String message;

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public boolean isCompleteFlag() {
		return completeFlag;
	}

	public void setCompleteFlag(boolean completeFlag) {
		this.completeFlag = completeFlag;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
